Faucets
Endpoints to request STX or BTC tokens (not possible on Mainnet)
Sends BTC to the specified regtest or signet BTC address. The response reports the amount sent, in satoshis, and the transaction id, which you can use to view the transaction in a regtest or signet Bitcoin block explorer. The tokens are delivered once the transaction has been included in a block.
Each request sends a fixed amount configured by the API operator, which the response reports. If you need more for testing (for example, to enroll in a staking bond), reach out to request a custom faucet transaction.
Note: This is a Bitcoin regtest/signet-only endpoint. This endpoint will not work on Bitcoin mainnet.
A valid regtest or signet BTC address
2N4M94S1ZPt8HfxydXzL2P7qyzgVq7MHWtsDefault Response
Default Response
Default Response
POST /extended/v3/faucets/btc HTTP/1.1
Host: api.hiro.so/
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"address": "2N4M94S1ZPt8HfxydXzL2P7qyzgVq7MHWts"
}{
"transaction": {
"tx_id": "0xf6bd5f4a7b26184a3466340b2e99fd003b4962c0e382a7e4b6a13df3dd7a91c6",
"chain": "bitcoin"
},
"amount": {
"btc": "10000"
}
}Sends STX to the specified testnet address. Testnet STX addresses begin with ST. The response reports the amount sent, in µSTX, and the transaction id, which you can use to view the transaction in the Stacks Explorer. The tokens are delivered once the transaction has been included in a block.
Each request sends a fixed amount configured by the API operator, which the response reports. If you need more for testing (for example, to enroll in a staking bond), reach out to request a custom faucet transaction.
Note: This is a testnet only endpoint. This endpoint will not work on mainnet.
A testnet Stacks address (ST… or SN…), or a contract principal deployed by one
ST3M7N9Q9HDRM7RVP1Q26P0EE69358PZZAZD7KMXQDefault Response
Default Response
Default Response
POST /extended/v3/faucets/stx HTTP/1.1
Host: api.hiro.so/
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"address": "ST3M7N9Q9HDRM7RVP1Q26P0EE69358PZZAZD7KMXQ"
}{
"transaction": {
"tx_id": "0xf6bd5f4a7b26184a3466340b2e99fd003b4962c0e382a7e4b6a13df3dd7a91c6",
"chain": "stacks"
},
"amount": {
"stx": "500000000"
}
}Sends sBTC to the specified testnet address. The endpoint performs a SIP-010 transfer contract call on the configured testnet sBTC token contract. Testnet STX addresses begin with ST. The response reports the amount sent, in satoshis, and the transaction id, which you can use to view the transaction in the Stacks Explorer. The tokens are delivered once the transaction has been included in a block.
Each request sends a fixed amount configured by the API operator, which the response reports. If you need more for testing (for example, to enroll in a staking bond), reach out to request a custom faucet transaction.
Note: This is a testnet only endpoint. This endpoint will not work on mainnet.
A testnet Stacks address (ST… or SN…), or a contract principal deployed by one
ST3M7N9Q9HDRM7RVP1Q26P0EE69358PZZAZD7KMXQDefault Response
Default Response
Default Response
POST /extended/v3/faucets/sbtc HTTP/1.1
Host: api.hiro.so/
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"address": "ST3M7N9Q9HDRM7RVP1Q26P0EE69358PZZAZD7KMXQ"
}{
"transaction": {
"tx_id": "0xf6bd5f4a7b26184a3466340b2e99fd003b4962c0e382a7e4b6a13df3dd7a91c6",
"chain": "stacks"
},
"amount": {
"sbtc": "10000"
}
}Last updated
Was this helpful?